#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EWindowsUpdateRebootBehavior {
    Unknown = -1,
    NeverNeedsReboot = 0,
    AlwaysNeedsReboot = 1,
    MightNeedReboot = 2,
}

impl EWindowsUpdateRebootBehavior {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Unknown as i32 => Some(Self::Unknown),
            x if x == Self::NeverNeedsReboot as i32 => Some(Self::NeverNeedsReboot),
            x if x == Self::AlwaysNeedsReboot as i32 => Some(Self::AlwaysNeedsReboot),
            x if x == Self::MightNeedReboot as i32 => Some(Self::MightNeedReboot),
            _ => None,
        }
    }
}
